commit d81c4f8b38b0513d0c0f54fb6931b7d9638251a3
Author: Matthias Barth <mbarth@techfak.uni-bielefeld.de>
Date:   Wed Dec 23 08:38:23 2020 +0100

    Removed RSB support

diff --git a/client/cpp/CMakeLists.txt b/client/cpp/CMakeLists.txt
index 352816d..0eb05c8 100644
--- a/client/cpp/CMakeLists.txt
+++ b/client/cpp/CMakeLists.txt
@@ -31,47 +31,6 @@ SET(DATADIR    "${PREFIX}/share/hlrc_client")
 #######################################
 FIND_PACKAGE(hlrc_server)
 
-#######################################
-#allow forced disable of RSB
-option(IGNORE_RSB "IGNORE_RSB" OFF)
-
-#######################################
-# check if we have RSB support:
-IF (IGNORE_RSB)
-    MESSAGE(INFO "RSB disabled per command line flag IGNORE_RSB")
-ELSE (IGNORE_RSB)
-FIND_PACKAGE(RSB 0.11 QUIET)
-IF (RSB_FOUND)
-    #RSB
-    SET(CMAKE_INSTALL_RPATH "\$ORIGIN/../lib:\$ORIGIN/")
-    FIND_PACKAGE(RSC 0.11 REQUIRED)
-    FIND_PACKAGE(RSB 0.11 REQUIRED)
-    #RST
-    FIND_PACKAGE(RST REQUIRED COMPONENTS sandbox)
-    INCLUDE_DIRECTORIES(BEFORE SYSTEM ${RST_INCLUDE_DIRS})
-    ADD_DEFINITIONS(${RST_CFLAGS} ${RSTSANDBOX_CFLAGS})
-
-    INCLUDE_DIRECTORIES(BEFORE SYSTEM ${RSB_INCLUDE_DIRS})
-    LIST(INSERT CMAKE_MODULE_PATH 0 ${RSC_CMAKE_MODULE_PATH})
-    #RSB
-    SET(CMAKE_INSTALL_RPATH "\$ORIGIN/../lib:\$ORIGIN/")
-    FIND_PACKAGE(RSC 0.11 REQUIRED)
-    FIND_PACKAGE(RSB 0.11 REQUIRED)
-    #RST
-    FIND_PACKAGE(RST REQUIRED COMPONENTS sandbox)
-    INCLUDE_DIRECTORIES(BEFORE SYSTEM ${RST_INCLUDE_DIRS})
-    ADD_DEFINITIONS(${RST_CFLAGS} ${RSTSANDBOX_CFLAGS})
-
-    INCLUDE_DIRECTORIES(BEFORE SYSTEM ${RSB_INCLUDE_DIRS})
-    LIST(INSERT CMAKE_MODULE_PATH 0 ${RSC_CMAKE_MODULE_PATH})
-
-    message(STATUS "RSB Support is ON")
-    add_definitions(-DRSB_SUPPORT=1)
-ELSE(RSB_FOUND)
-    message(STATUS "RSB not found.")
-ENDIF(RSB_FOUND)
-ENDIF(IGNORE_RSB)
-
 ################################################################
 # check for ROS support:
 find_package(catkin QUIET)
@@ -118,7 +77,6 @@ SET(LIB_CLASSES
     src/RobotController.cpp
     src/Middleware.cpp
     src/MiddlewareROS.cpp
-    src/MiddlewareRSB.cpp
 )
 
 add_library(${HLRC_CLIENT_LIBNAME} SHARED
@@ -142,7 +100,7 @@ IF (ROS_FOUND)
     add_dependencies(${HLRC_CLIENT_LIBNAME} ${catkin_EXPORTED_TARGETS})
 ENDIF (ROS_FOUND)
 
-target_link_libraries(${HLRC_CLIENT_LIBNAME} ${RSB_LIBRARIES} ${RST_LIBRARIES} ${catkin_LIBRARIES})
+target_link_libraries(${HLRC_CLIENT_LIBNAME} ${catkin_LIBRARIES})
 
 #build & install demo
 #ADD_EXECUTABLE(testMarkerTracker example/testMarkerTracker.cc)
@@ -173,7 +131,7 @@ configure_file("${CMAKECONFIGVERSION_FILENAME}.in" "${CMAKECONFIGVERSION_FILENAM
 INSTALL(FILES "${CMAKE_CURRENT_BINARY_DIR}/${CMAKECONFIGVERSION_FILENAME}" DESTINATION "${DATADIR}")
 
 #ADD_EXECUTABLE(${PROJECT_NAME} main.cpp ${SRC_FILES})
-#TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${RSB_LIBRARIES} ${RST_LIBRARIES} ${OpenCV_LIBS} ${Boost_LIBRARIES} ${Boost_LIBS} ${BART_LIBRARIES} )
+#TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${OpenCV_LIBS} ${Boost_LIBRARIES} ${Boost_LIBS} ${BART_LIBRARIES} )
 
 #build & install examples
 ADD_EXECUTABLE(${PROJECT_NAME}_example_random_gaze examples/random_gaze/main.cpp)
diff --git a/client/cpp/examples/random_gaze/main.cpp b/client/cpp/examples/random_gaze/main.cpp
index 7321375..33ea315 100644
--- a/client/cpp/examples/random_gaze/main.cpp
+++ b/client/cpp/examples/random_gaze/main.cpp
@@ -39,7 +39,7 @@ float rand_float(float min, float max) {
 int main(int argc, char** argv) {
 	if (argc != 3) {
 		printf("usage: %s <middleware> <robot scope>\n", argv[0]);
-		printf("       <middleware> is either ROS or RSB\n");
+		printf("       <middleware> is  ROS\n");
 		printf("       <robot scope> e.g. /flobi or /icub\n\n");
 		exit(EXIT_FAILURE);
 	}
diff --git a/client/cpp/examples/speech_test/main.cpp b/client/cpp/examples/speech_test/main.cpp
index 4fb7aec..0ac20b1 100644
--- a/client/cpp/examples/speech_test/main.cpp
+++ b/client/cpp/examples/speech_test/main.cpp
@@ -33,7 +33,7 @@
 #define BLOCKING true
 
 int main(int argc, char** argv) {
-	RobotController* robot_controller = new RobotController("RSB", "/flobi");
+	RobotController* robot_controller = new RobotController("ROS", "/flobi");
 
 	int count = 0;
 
diff --git a/client/cpp/include/MiddlewareROS.h b/client/cpp/include/MiddlewareROS.h
index b4b4b47..d4fafcf 100644
--- a/client/cpp/include/MiddlewareROS.h
+++ b/client/cpp/include/MiddlewareROS.h
@@ -52,7 +52,7 @@ class MiddlewareROS : public Middleware {
 #ifndef ROS_SUPPORT
 public:
 	MiddlewareROS(std::string scope) : Middleware(scope) {
-		printf("> ERROR: hlrc was compiled without ROS middleware support. Please use MiddlewareRSB() instead!\n\n");
+		printf("> ERROR: hlrc was compiled without ROS middleware support.\n\n");
 		exit(EXIT_FAILURE);
 	}
 
diff --git a/client/cpp/src/RobotController.cpp b/client/cpp/src/RobotController.cpp
index a08c871..0b196cb 100644
--- a/client/cpp/src/RobotController.cpp
+++ b/client/cpp/src/RobotController.cpp
@@ -29,7 +29,6 @@
 #include "RobotController.h"
 #include "Middleware.h"
 #include "MiddlewareROS.h"
-#include "MiddlewareRSB.h"
 
 using namespace std;
 
@@ -38,12 +37,8 @@ RobotController::RobotController(string mw_name, string base_scope) {
 		// intantiate ROS mw
 		middleware = new MiddlewareROS(base_scope);
 	}
-	else if (mw_name == "RSB") {
-		// intantiate RSB mw
-		middleware = new MiddlewareRSB(base_scope);
-	}
 	else {
-		printf("ERROR: invalid middleware requested (%s). supported: {ROS, RSB}\n\n", mw_name.c_str());
+		printf("ERROR: invalid middleware requested (%s). supported: {ROS}\n\n", mw_name.c_str());
 		exit(EXIT_FAILURE);
 	}
 }
diff --git a/client/python/hlrc_client/RobotController.py b/client/python/hlrc_client/RobotController.py
index 6149cf6..2b0c26b 100644
--- a/client/python/hlrc_client/RobotController.py
+++ b/client/python/hlrc_client/RobotController.py
@@ -32,7 +32,7 @@ import errno
 class RobotController:
     def __init__(self, mw_name, scope, loglevel=logging.WARNING, timeout=None):
         """initialise
-        :param mw_name: which mw to use, currentyl ROS and RSB are supported
+        :param mw_name: which mw to use, currentyl ROS is supported
         :param scope: base scope we want to listen on
         :param  loglevel: optional log level
         """
@@ -48,18 +48,7 @@ class RobotController:
 
         self.middleware = None
 
-        if (self.mw.upper() == "RSB"):
-            self.logger.info("creating new middleware connection via RSB")
-            try:
-                from .MiddlewareRSB import MiddlewareRSB
-            except ImportError as e:
-                self.logger.error("failed to import RSB or the necessary data types: {}".format(e))
-                sys.exit(errno.EINVAL)
-
-            # import worked, safe to intantiate RSB mw now
-            self.middleware = MiddlewareRSB(self.scope, self.loglevel)
-
-        elif (self.mw.upper() == "ROS"):
+        if (self.mw.upper() == "ROS"):
             self.logger.info("creating new middleware connection via ROS")
             try:
                 from .MiddlewareROS import MiddlewareROS
@@ -67,10 +56,10 @@ class RobotController:
                 self.logger.error("failed to import ROS or the necessary data types: {}".format(e))
                 sys.exit(errno.EINVAL)
 
-            # import worked, safe to instantiate RSB mw now
+            # import worked, safe to instantiate ROS mw now
             self.middleware = MiddlewareROS(self.scope, self.loglevel, timeout)
         else:
-            self.logger.error("invalid middleware requested (%s). supported: {ROS, RSB}\n\n" % (self.mw))
+            self.logger.error("invalid middleware requested (%s). supported: {ROS}\n\n" % (self.mw))
             sys.exit(errno.EINVAL)
 
     def __del__(self):
diff --git a/server/CMakeLists.txt b/server/CMakeLists.txt
index fb89fbe..f550ad4 100644
--- a/server/CMakeLists.txt
+++ b/server/CMakeLists.txt
@@ -10,47 +10,7 @@ set(CMAKE_CXX_EXTENSIONS OFF)
 INCLUDE(FindPkgConfig)
 
 #######################################
-#allow forced disable of RSB
-option(IGNORE_RSB "IGNORE_RSB" OFF)
 
-#######################################
-# check if we have RSB support:
-IF (IGNORE_RSB)
-    MESSAGE(INFO "RSB disabled per command line flag IGNORE_RSB")
-ELSE (IGNORE_RSB)
-FIND_PACKAGE(RSB 0.11 QUIET)
-IF (RSB_FOUND)
-    #RSB
-    SET(CMAKE_INSTALL_RPATH "\$ORIGIN/../lib:\$ORIGIN/")
-    FIND_PACKAGE(RSC 0.11 REQUIRED)
-    FIND_PACKAGE(RSB 0.11 REQUIRED)
-    #RST
-    FIND_PACKAGE(RST REQUIRED COMPONENTS sandbox)
-    INCLUDE_DIRECTORIES(BEFORE SYSTEM ${RST_INCLUDE_DIRS})
-    ADD_DEFINITIONS(${RST_CFLAGS} ${RSTSANDBOX_CFLAGS})
-
-    INCLUDE_DIRECTORIES(BEFORE SYSTEM ${RSB_INCLUDE_DIRS})
-    LIST(INSERT CMAKE_MODULE_PATH 0 ${RSC_CMAKE_MODULE_PATH})
-    #RSB
-    SET(CMAKE_INSTALL_RPATH "\$ORIGIN/../lib:\$ORIGIN/")
-    FIND_PACKAGE(RSC 0.11 REQUIRED)
-    FIND_PACKAGE(RSB 0.11 REQUIRED)
-    #RST
-    FIND_PACKAGE(RST REQUIRED COMPONENTS sandbox)
-    INCLUDE_DIRECTORIES(BEFORE SYSTEM ${RST_INCLUDE_DIRS})
-    ADD_DEFINITIONS(${RST_CFLAGS} ${RSTSANDBOX_CFLAGS})
-
-    INCLUDE_DIRECTORIES(BEFORE SYSTEM ${RSB_INCLUDE_DIRS})
-    LIST(INSERT CMAKE_MODULE_PATH 0 ${RSC_CMAKE_MODULE_PATH})
-
-    message(STATUS "RSB Support is ON")
-    add_definitions(-DRSB_SUPPORT=1)
-ELSE(RSB_FOUND)
-    message(STATUS "RSB not found.")
-ENDIF (RSB_FOUND)
-ENDIF(IGNORE_RSB)
-
-################################################################
 # check for ROS support:
 find_package(catkin QUIET)
 IF (catkin_FOUND)
@@ -127,18 +87,16 @@ include_directories(include ${catkin_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS} ${humo
 link_directories(${catkin_LIBRARY_DIRS} ${AO_LIBRARY_DIRS} ${humotion_LIBRARY_DIRS})
 
 #build dummy list of header files
-file(GLOB DUMMY_HEADER_LIST RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} include/*.h include/RSB/*.h include/ROS/*.h)
+file(GLOB DUMMY_HEADER_LIST RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} include/*.h include/ROS/*.h)
 
 # declare library
 add_executable(${PROJECT_NAME}
     src/main.cpp
-    src/MiddlewareRSB.cpp
     src/MiddlewareROS.cpp
     src/Arbiter.cpp
     src/Utterance.cpp
     src/Animation.cpp
     src/AudioPlayer.cpp
-    src/AudioPlayerRSB.cpp
     src/AudioPlayerLibAO.cpp
     src/MouthConfig.cpp
     src/EmotionState.cpp
@@ -151,7 +109,7 @@ add_executable(${PROJECT_NAME}
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
 
 #create example:
-target_link_libraries(${PROJECT_NAME} ${Boost_LIBRARIES} ${RSB_LIBRARIES}  ${catkin_LIBRARIES} ${RST_LIBRARIES} ${humotion_LIBRARIES} ${AO_LIBRARIES})
+target_link_libraries(${PROJECT_NAME} ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${humotion_LIBRARIES} ${AO_LIBRARIES})
 set_property(TARGET ${PROJECT_NAME} PROPERTY INSTALL_RPATH_USE_LINK_PATH TRUE)
 
 
diff --git a/server/include/MiddlewareROS.h b/server/include/MiddlewareROS.h
index fb57f49..595d451 100644
--- a/server/include/MiddlewareROS.h
+++ b/server/include/MiddlewareROS.h
@@ -58,7 +58,7 @@ class MiddlewareROS : public Middleware {
 #ifndef ROS_SUPPORT
 public:
 	MiddlewareROS(Arbiter* a, std::string _base_scope) : Middleware(a, _base_scope) {
-		printf("> ERROR: hlrc was compiled without ROS middleware support. Please use MiddlewareRSB() instead!\n\n");
+		printf("> ERROR: hlrc was compiled without ROS middleware support.");
 		exit(EXIT_FAILURE);
 	}
 
diff --git a/server/include/ROS/MouthCallbackWrapperROS.h b/server/include/ROS/MouthCallbackWrapperROS.h
index 76f6e1b..a71e2e7 100644
--- a/server/include/ROS/MouthCallbackWrapperROS.h
+++ b/server/include/ROS/MouthCallbackWrapperROS.h
@@ -50,7 +50,6 @@ public:
 		humotion::MouthState mouth_state;
 
 		// fill in mouth
-		//#include "RSB/SpeechCallbackWrapper.h".opening_left   = request->opening_left;
 		mouth_state.opening_center = request->opening_center;
 		mouth_state.opening_right = request->opening_right;
 
diff --git a/server/include/ROS/UtteranceCallbackWrapperROS.h b/server/include/ROS/UtteranceCallbackWrapperROS.h
index 9d48eec..08a54f0 100644
--- a/server/include/ROS/UtteranceCallbackWrapperROS.h
+++ b/server/include/ROS/UtteranceCallbackWrapperROS.h
@@ -114,8 +114,8 @@ public:
 			default:
 				printf("> invalid sample type %d in SoundChunk! ignoring request!\n", sound_chunk.sample_type);
 				return false;
-				// throw runtime_error("UtteranceRSB::convert_audio_data() unsupported sample type in soundchunk");
-		}
+            // throw runtime_error("UtteranceROS::convert_audio_data() unsupported sample type in soundchunk");
+      }
 
 		// bitrate
 		audio_data->sample_rate = sound_chunk.rate;
@@ -129,7 +129,7 @@ public:
 		}
 		else {
 			printf("> invalid SoundChunk byte_format");
-			throw std::runtime_error("UtteranceRSB::convert_audio_data() unsupported byte_format in soundchunk");
+			throw std::runtime_error("UtteranceROS::convert_audio_data() unsupported byte_format in soundchunk");
 		}
 
 		// number of channels
diff --git a/server/src/Arbiter.cpp b/server/src/Arbiter.cpp
index 5f38dde..b72df86 100644
--- a/server/src/Arbiter.cpp
+++ b/server/src/Arbiter.cpp
@@ -28,7 +28,6 @@
 
 #include "Arbiter.h"
 #include "AudioPlayerLibAO.h"
-#include "AudioPlayerRSB.h"
 #include <boost/algorithm/string/predicate.hpp>
 #include <mutex>
 #include <thread>
@@ -43,15 +42,6 @@ Arbiter::Arbiter(std::string audio_output) {
 		// allow none for no sound output
 		audio_player = NULL;
 	}
-	else if (iequals(audio_output.substr(0, 3), "rsb")) {
-#ifdef RSB_SUPPORT
-		audio_player = new AudioPlayerRSB(audio_output);
-#else
-		printf("> ERROR: hlc is compiled without RSB support, RSB audio transport not available, defaulting to libao (default "
-		       "output!)\n");
-		audio_player = new AudioPlayerLibAO("");
-#endif
-	}
 	else {
 		audio_player = new AudioPlayerLibAO(audio_output);
 	}
diff --git a/server/src/main.cpp b/server/src/main.cpp
index d33cf88..4830677 100644
--- a/server/src/main.cpp
+++ b/server/src/main.cpp
@@ -26,7 +26,6 @@
  *
  */
 
-#include "MiddlewareRSB.h"
 #include "MiddlewareROS.h"
 #include "Arbiter.h"
 
@@ -44,9 +43,9 @@ using namespace std;
 
 int main(int argc, char* argv[]) {
 	if ((argc != 5) && (argc != 6)) {
-		printf("> ERROR: invalid number of parameters passed to server!\n\nusage: %s <mw_hlrc> <mw_humotion> <base scopename "
-		       "hlrc> <base scopename humotion> [<audio output>]  (example: %s RSB RSB /flobi1/ pulse )\n",
-		       argv[0], argv[0]);
+		printf("> ERROR: invalid number of parameters passed to server!\n\n"
+		"usage: %s <mw_hlrc> <mw_humotion> <base scopename hlrc> <base scopename humotion> [<audio output>]\n"
+		"(example: %s ROS ROS /flobi1/ pulse )\n", argv[0], argv[0]);
 		printf("          audio output is optional and can be {pulse,oss,alsa,null,sndio,..}\n\n");
 		exit(EXIT_FAILURE);
 	}
@@ -77,7 +76,7 @@ int main(int argc, char* argv[]) {
 		middleware = new MiddlewareROS(arbiter, scope_hlrc);
 	}
 	else {
-		middleware = new MiddlewareRSB(arbiter, scope_hlrc);
+      printf("> ERROR: invalid middleware! Only ROS supported)\n");
 	}
 
 	// human motion connection:
